'use strict';

const Controller = require('egg').Controller;

class LogController extends Controller {
  async create() {
    const { ctx } = this;
    const res = await ctx.service.log.create(ctx.request.body);
    ctx.body = res;
  }
  async del() {
    const { ctx } = this;
    const res = await ctx.service.log.del(ctx.params);
    ctx.body = res;
  }
  async query() {
    const { ctx } = this;
    const res = await ctx.service.log.query(ctx.query);
    ctx.body = res;
  }
}

module.exports = LogController;
