'use strict';
module.exports = app => {
  const { mongoose } = app;
  const { Schema } = mongoose;
  const FilesSchema = new Schema({
    // 文件名
    name: {
      type: String,
    },
    // 文件路径
    path: {
      type: String,
    },
    // 文件路径
    type: {
      type: String,
    },
    // 数据id
    id: {
      type: String,
    },
    // 创建时间
    createAt: {
      type: String,
    },
  });
  return mongoose.model('Files', FilesSchema);
};
