'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  // 封面
  thumbnail: { type: String },
  // 内容
  content: { type: String, required: false },
  // 标题
  name: { type: String, required: true },
  // 描述
  describe: { type: String, required: false },
  // 状态
  status: { type: String, required: true },
  // 文件路经
  url: { type: String, required: false },
  // 文件名
  filename: { type: String, required: false },
  // 发布时间
  date: { type: String, required: true },
  // 期刊栏目
  column: { type: String, required: false },
  // 绑定栏目ID
  bind: { type: Array, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('catalogue', schema, 'catalogue');
};
