'use strict';

const Controller = require('egg').Controller;

class BannerController extends Controller {
  async create() {
    const { ctx } = this;
    const res = await ctx.service.banner.create(ctx.request.body);
    ctx.body = res;
  }
  async update() {
    const { ctx } = this;
    const res = await ctx.service.banner.update(ctx.request.body);
    ctx.body = res;
  }
  async del() {
    const { ctx } = this;
    const res = await ctx.service.banner.del(ctx.params);
    ctx.body = res;
  }
  async query() {
    const { ctx } = this;
    const res = await ctx.service.banner.query(ctx.query);
    ctx.body = res;
  }
  async details() {
    const { ctx } = this;
    const res = await ctx.service.banner.details(ctx.params);
    ctx.body = res;
  }
}

module.exports = BannerController;
