'use strict';

const Controller = require('egg').Controller;

class ConfigurationController extends Controller {
  async create() {
    const { ctx } = this;
    const res = await ctx.service.configuration.create(ctx.request.body);
    ctx.body = res;
  }
  async update() {
    const { ctx } = this;
    const res = await ctx.service.configuration.update(ctx.request.body);
    ctx.body = res;
  }
  async query() {
    const { ctx } = this;
    const res = await ctx.service.configuration.query(ctx.query);
    ctx.body = res;
  }
}

module.exports = ConfigurationController;
