'use strict';

const Controller = require('egg').Controller;

class FilesController extends Controller {
  async create() {
    const { ctx } = this;
    const res = await ctx.service.files.create(ctx.request.body);
    ctx.body = res;
  }
  async update() {
    const { ctx } = this;
    const res = await ctx.service.files.update(ctx.request.body);
    ctx.body = res;
  }
  async del() {
    const { ctx } = this;
    const res = await ctx.service.files.del(ctx.params);
    ctx.body = res;
  }
  async query() {
    const { ctx } = this;
    const res = await ctx.service.files.query(ctx.query);
    ctx.body = res;
  }
  async upload() {
    const { ctx } = this;
    const res = await ctx.service.files.upload(ctx.request.body);
    ctx.body = res;
  }
}

module.exports = FilesController;
