'use strict';

const Controller = require('egg').Controller;

class LinksController extends Controller {
  async create() {
    const { ctx } = this;
    const res = await ctx.service.link.create(ctx.request.body);
    ctx.body = res;
  }
  async update() {
    const { ctx } = this;
    const res = await ctx.service.link.update(ctx.request.body);
    ctx.body = res;
  }
  async del() {
    const { ctx } = this;
    const res = await ctx.service.link.del(ctx.params);
    ctx.body = res;
  }
  async query() {
    const { ctx } = this;
    const res = await ctx.service.link.query(ctx.query);
    ctx.body = res;
  }
}

module.exports = LinksController;
