'use strict';

const Controller = require('egg').Controller;

class LoginController extends Controller {
  async login() {
    const { ctx } = this;
    const res = await ctx.service.power.login(ctx.request.body);
    ctx.body = res;
  }
  async getUserMenu() {
    const { ctx } = this;
    const res = await ctx.service.power.getUserMenu();
    ctx.body = res;
  }
  async captcha() {
    const { ctx } = this;
    const res = await ctx.service.power.captcha();
    ctx.body = res;
  }
}

module.exports = LoginController;
