'use strict';
module.exports = app => {
  const { mongoose } = app;
  const { Schema } = mongoose;
  const ConfigurationSchema = new Schema({
    // 本期封面
    path: {
      type: String,
    },
    // 名称
    name: {
      type: String,
    },
    // 描述
    describe: {
      type: String,
    },
    // 单位
    company: {
      type: String,
    },
    // 电话
    phone: {
      type: String,
    },
    // 地址
    address: {
      type: String,
    },
    // 邮箱
    mail: {
      type: String,
    },
    // 邮编
    postcode: {
      type: String,
    },
    // 备案号
    record: {
      type: String,
    },
    // 是否显示弹窗
    isshow: {
      type: Boolean,
    },
    // 弹窗文字
    isname: {
      type: String,
    },
  });
  return mongoose.model('Configuration', ConfigurationSchema);
};
