'use strict';
module.exports = [
  {
    title: '内容管理',
    path: '1',
    id: '1',
    icons: 'el-icon-reading',
    parentId: '',
    module: '@wokes',
  },
  {
    title: '菜单管理',
    path: '/wokes/menu',
    id: '1-1',
    icons: 'el-icon-menu',
    parentId: '1',
    module: '@wokes',
  },
  {
    title: '栏目管理',
    path: '/wokes/column',
    id: '1-6',
    icons: 'el-icon-menu',
    parentId: '1',
    module: '@wokes',
  },
  {
    title: '文章管理',
    path: '/wokes/content',
    id: '1-2',
    icons: 'el-icon-tickets',
    parentId: '1',
    module: '@wokes',
  },
  {
    title: '单页管理',
    path: '/wokes/pages',
    id: '1-3',
    icons: 'el-icon-document',
    parentId: '1',
    module: '@wokes',
  },
  {
    title: '文件管理',
    path: '/wokes/files',
    id: '1-4',
    icons: 'el-icon-folder-opened',
    parentId: '1',
    module: '@wokes',
  },
  {
    title: '资源管理',
    path: '/wokes/resource',
    id: '1-5',
    icons: 'el-icon-files',
    parentId: '1',
    module: '@wokes',
  },
  {
    title: '期刊管理',
    path: '/wokes/journal',
    id: '1-7',
    icons: 'el-icon-files',
    parentId: '1',
    module: '@wokes',
  },
  // 系统管理
  {
    title: '系统管理',
    path: '2',
    id: '2',
    icons: 'el-icon-s-operation',
    parentId: '',
    module: '@gaf',
  },
  {
    title: '系统用户',
    path: '/gaf/user',
    id: '2-1',
    icons: 'el-icon-user',
    parentId: '2',
    module: '@gaf',
  },
  {
    title: '系统角色',
    path: '/gaf/role',
    id: '2-2',
    icons: 'el-icon-s-custom',
    parentId: '2',
    module: '@gaf',
  },
  {
    title: '用户授权',
    path: '/gaf/userpower',
    id: '2-3',
    icons: 'el-icon-s-check',
    parentId: '2',
    module: '@gaf',
  },
  {
    title: '角色授权',
    path: '/gaf/rolepower',
    id: '2-4',
    icons: 'el-icon-s-check',
    parentId: '2',
    module: '@gaf',
  },
  {
    title: '日志审计',
    path: '/gaf/log',
    id: '2-5',
    icons: 'el-icon-s-order',
    parentId: '2',
    module: '@gaf',
  },
  // 网站配置
  {
    title: '网站配置',
    path: '3',
    id: '3',
    icons: 'el-icon-setting',
    parentId: '',
    module: '@wokes',
  },
  {
    title: '轮播图配置',
    path: '/wokes/banner',
    id: '3-1',
    icons: 'el-icon-picture-outline',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '友情链接配置',
    path: '/wokes/links',
    id: '3-2',
    icons: 'el-icon-link',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '站点配置',
    path: '/wokes/webconfig',
    id: '3-3',
    icons: 'el-icon-s-platform',
    parentId: '3',
    module: '@wokes',
  },
];
